<ion-view view-title="Notificações" cache-view="false">
    <ion-nav-buttons side="right">
        <button ui-sref="selecionar-estado" class="button icon-left button-clear header-btn">
            <i class="icon-map-pin"></i>
        </button>
    </ion-nav-buttons>
    <ion-content class="notifications">
        <ion-refresher
            pulling-text="Puxe para atualizar"
            on-refresh="doRefresh()">
        </ion-refresher>
        <div ng-repeat="notification in notifications" class="item" 
            ng-class="notification.is_read  == 0 ? 'not-read' : '' "
            ng-click="checkNotification(notification)">
            <!--<img ng-src="{{pofilepic_baseurl}}{{notification.profile_pic | notification_img}}"/>-->
            <div style="width:50px;height:50px;display:block;">
                <div ng-if="notification.profile_pic" class="foto-perfil" style="width: 50px;border-radius: 5px;height: 50px;background-position: center;background-size: cover; background-image: url('{{pofilepic_baseurl}}{{notification.profile_pic}}');"></div>
                <div ng-if="!notification.profile_pic" class="foto-perfil" style="width: 50px;border-radius: 5px;height: 50px;background-position: center;background-size: cover; background-image: url('img/emptyavatar.jpg');"></div>
            </div>
            <div class="post">
                <span class="name" ng-bind="notification.username"> </span> 
                <span class="action"> {{ notification.type | notification_type }} </span> 
                <span ng-if="notification.post_text" class="text"> "{{ notification.post_text}}" </span>
            </div>  
        </div>
        <div ng-show="!length" style="margin-top:80px;">
            <div class="row">
                <div class="col text-center">
                    <h4>Olá {{profiledata.name}}, você não tem nenhuma notificação ainda!</h4>
                </div>
            </div>
        </div>
        <ion-infinite-scroll ng-if="!noMoreItemsAvailable" on-infinite="loadMore()" distance="14%"></ion-infinite-scroll>
    </ion-content>
</ion-view>
